## CONTRIBUTING RULES

Here are some ways you can contribute:

- by using alpha, beta, and prerelease versions;
- by reporting bugs;
- by suggesting new features;
- by writing or editing documentation;
- by writing specifications;
- by writing code (no patch is too small: fix typos, add comments, clean up inconsistent whitespace);
- by refactoring code;
- by closing issues;
- by reviewing patches.

### Submitting an Issue

We use the GitHub issue tracker to track bugs and features. Before submitting a bug report or feature request, check to make sure it hasn't already been submitted. When submitting a bug report, please include a Gist that includes a stack trace and any details that may be necessary to reproduce the bug, including your gem version, Ruby version, and operating system. Ideally, a bug report should include a pull request with failing specs.

### Reporting Issues

A well formatted issue is appreciated, and goes a long way in helping us help you.

- Make sure you have a GitHub account;
- Submit a Github issue by:
  - Clearly describing the issue
    - Provide a descriptive summary;
    - Explain the expected behavior;
    - Explain the actual behavior;
    - Provide steps to reproduce the actual behavior;
    - Any relevant stack traces;
    - If you provide code, make sure it is formatted with the triple backticks (`).

### Submitting a Pull Request

- Fork the repository;
- Create a topic branch;
- Implement your feature or bug fix;
- Add specs for your unimplemented feature or bug fix;
- Add, commit, and push your changes;
- Submit a pull request.
